function init(hero) {
    hero.setName("Corvo Attano/\u00A7d\u00A7lKNIGHTS\u00A7r");
    hero.setTier(3);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    hero.addPrimaryEquipment("fiskheroes:chokuto{display:{Name:\"Folding Blade\"}}", true);
    hero.addPrimaryEquipment("fiskheroes:beretta_93r", true, item => !item.nbt().getBoolean("Dual"));
    
    hero.addPowers("knights:outsider_mark");
    hero.addAttribute("PUNCH_DAMAGE", 2.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 7, 0);
    hero.addAttribute("JUMP_HEIGHT", 1, 0);
    hero.addAttribute("FALL_RESISTANCE", 5.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.5, 1);
    hero.addAttribute("IMPACT_DAMAGE", 1, 1)

    hero.addKeyBind("TELEPORT", "Blink", 2);
    hero.addKeyBind("SLOW_MOTION", "Bend Time", 3);
    hero.addKeyBind("UTILITY_BELT", "Equipment", 4);
    hero.addKeyBind("SPELL_MENU", "Wind Blast", 5);
    hero.addKeyBind("AIM", "key.aim", -1);
    hero.addKeyBind("GUN_RELOAD", "key.reload", 1);

    hero.setKeyBindEnabled((entity, keyBind) => keyBind != "GUN_RELOAD" || entity.getHeldItem().isGun() && !entity.getData("fiskheroes:aiming"));
    hero.setHasPermission((entity, permission) => permission == "USE_GUN");
    hero.supplyFunction("canAim", entity => entity.getHeldItem().isGun());
}